

/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */

#include <gtk/gtk.h>
#include "callbacks.h"

GtkWidget *clist1;

gchar nazwa_firm[100];

void nazwa_firmy(GtkWidget    *clist,
                 gint            row,
                 gint            column,
                 GdkEventButton  *event,
                 gpointer        data){

	extern gchar nazwa_firm[100];
	gchar *text;
	
        gtk_clist_get_text(GTK_CLIST(clist), row, 1, &text);

	strcpy(nazwa_firm, text);

}


void lista_nabywcow(GtkWidget *widget, GtkWidget *widget_)
{
  extern  GtkWidget *clist1;
  GtkWidget *label1;
  GtkWidget *label2;
  GtkWidget *button1;
  clist1 = gtk_clist_new (2);
  gtk_widget_ref (clist1);

  button1 = gtk_button_new_with_label("Zatwierdz / Uaktualnij liste");
  gtk_widget_set_usize(GTK_WIDGET(button1), 160, 30);

  gtk_signal_connect_object(GTK_OBJECT(button1), "clicked", GTK_SIGNAL_FUNC(aktualizuj_nabywcow), (gpointer) clist1);

  gtk_container_set_border_width (GTK_CONTAINER (clist1), 4);
  gtk_clist_set_column_width (GTK_CLIST (clist1), 0, 120);
  gtk_clist_set_column_width (GTK_CLIST (clist1), 1, 80);
  gtk_clist_column_titles_show (GTK_CLIST (clist1));
  gtk_clist_set_shadow_type (GTK_CLIST (clist1), GTK_SHADOW_NONE);
  aktualizuj_nabywcow((gpointer) clist1);
  gtk_signal_connect(GTK_OBJECT(clist1), "select_row", GTK_SIGNAL_FUNC(nazwa_firmy), NULL);
  gtk_widget_show (clist1);

  label1 = gtk_label_new("NIP");
  gtk_widget_ref (label1);
  gtk_widget_show (label1);
  gtk_clist_set_column_widget (GTK_CLIST (clist1), 0, label1);

  label2 = gtk_label_new("Nazwa kontrachenta");
  gtk_widget_ref (label2);
  gtk_widget_show (label2);
  gtk_clist_set_column_widget (GTK_CLIST (clist1), 1, label2);
  gtk_widget_show(button1);
  
  gtk_container_add(GTK_CONTAINER(widget), clist1);
  gtk_fixed_put(GTK_FIXED(widget_), GTK_WIDGET(button1), 280, 10);	
}

